View Issue Details

IDProjectCategoryView StatusLast Update
0018534LazarusLCLpublic2012-01-27 14:42
ReporterSven BarthAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018534: Changing ShellTreeView's Root property does not influence associated ShellListView
DescriptionPut a TShellTreeView and a TShellListView on a form. Set the ShellTreeView's ShellListView property to the TShellListView component. Change the "Root" property of the ShellTreeView to something different than "" (e.g. "/mnt" on Linux). Run the application.

The associated ShellListView will display the contents of its normal root (normally "/" on Linux) instead of the contents of the ShellTreeView's root. The list view works as expected when selecting a different directory in the ShellTreeView during runtime.

Changing the ShellListView's "Root" property to the same value as the one from ShellTreeView doesn't influence the behavior.
Additional InformationAttached example demonstrates this.
TagsNo tags attached.
Fixed in Revision31473, 34976
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2011-01-16 17:14

 

shellcontrols.zip (2,478 bytes)

Zeljan Rikalo

2011-06-30 12:39

developer   ~0049530

Please test and close if ok.

Sven Barth

2012-01-08 14:53

manager   ~0055590

I now see in the LFM file that the Root property of the ShellListView is indeed changed, but the ShellListView still doesn't care. It always just displays the contents of the root directory "/" at start of the application(!).

The strange thing is: If I remove the link between the ShellListView and the ShellTreeView and set the ShellListView's Root property explicitely in the Object Inspector it does display the correct contents. So something in the communication between ShellTreeView and ShellListView does not work correctly after creation.

Regards,
Sven

Issue History

Date Modified Username Field Change
2011-01-16 17:14 Sven Barth New Issue
2011-01-16 17:14 Sven Barth File Added: shellcontrols.zip
2011-01-16 17:14 Sven Barth Widgetset => GTK 2
2011-02-07 21:22 Vincent Snijders LazTarget => -
2011-02-07 21:22 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2011-02-07 21:22 Vincent Snijders Status new => assigned
2011-06-30 12:39 Zeljan Rikalo Fixed in Revision => 31473
2011-06-30 12:39 Zeljan Rikalo Status assigned => resolved
2011-06-30 12:39 Zeljan Rikalo Resolution open => fixed
2011-06-30 12:39 Zeljan Rikalo Note Added: 0049530
2012-01-08 14:53 Sven Barth Status resolved => assigned
2012-01-08 14:53 Sven Barth Resolution fixed => reopened
2012-01-08 14:53 Sven Barth Note Added: 0055590
2012-01-27 14:42 Felipe Monteiro de Carvalho Fixed in Revision 31473 => 31473, 34976
2012-01-27 14:42 Felipe Monteiro de Carvalho Status assigned => resolved
2012-01-27 14:42 Felipe Monteiro de Carvalho Fixed in Version => 0.9.31 (SVN)
2012-01-27 14:42 Felipe Monteiro de Carvalho Resolution reopened => fixed